PvP 2.0 1.0 Beta-5

Simple PvP-Plugin for Bukkit/Spigot in Version 2.0

  1. Lukas0610
    Tested Minecraft Versions:
    • 1.7
    • 1.8
    • 1.9
    • 1.10
    PvP 2.0 - The new PvP-Plugin

    [​IMG] [​IMG] [​IMG] [​IMG]

    PvP 2.0 - The new PvP-Plugin

    PvP 2.0 is the complete rewrite of the old, buggy and crappy PvP (1.0).
    I think, all old features are now implemented and working.
    Some new features like parties, AFK-System and player-languages are implemented.


    How to start

    First of all, go add the needed permissions to the permissions-system of your choice. You can find the permissions of PvP here: https://git.lukasberger.at/lukas.berger/PvP2.0/wikis/Permissions
    Then, you can read more tutorials on GitHub how to use PvP as player and as admin.

    Translating

    Help translating PvP here
    You can find more informations here: https://git.lukasberger.at/lukas.berger/PvP2.0/wikis/Translators


    Features
    • Multi-Arena-System
    • Kits
    • Spectators
    • Parties
    • Invites
    • AFK-System
    • Spectators
    • Player-Languages (Each player could select his own language)
    • Highly customizable (Allow teleporting, block-breaking/placing, blocking commands and many more...)
    • Scoreboard with many placeholders
    • Skipping Detch-Screen
    • OpenSource
    • Free

    Dependencies
    • Vault (Used version: 1.5.6)
    • WorldEdit (Used version: 6.1)

    Notices
    • PLEASE don't rate the plugin bad if something is not working. Please report errors on the Bugtracker, this will help to solve it instead of "Not working" and bad rating (That will not encourage me to solve the problem :/)
    • This version should run without problems. If any problems occurring, report them on the Bugtracker
    • The plugin only works with Spigot because it depends on some functions which are only available in Spigot

Recent Updates

  1. PvP2.0 v1.0-b5
  2. PvP2.0 v1.0-b3
  3. PvP2.0 v1.0-b2

Recent Reviews

  1. CommanderDonkey
    CommanderDonkey
    2/5,
    Version: 1.0 Beta-3
    The Plugin Don't Worked on my Spigot 1.8 Server, the Plugin is Red.
    Pls Help me ! i have not a Root Server, thats a Game Server
    1. Lukas0610
      Author's Response
      Please create a report on GitHub with the server-log appended
  2. CoscarRolemine
    CoscarRolemine
    4/5,
    Version: 1.0 Beta-3
    Man can you add Elo? with ranked and unranked queque? If you do it i will love you! haha. It's a very good plugin, please dont leave the plugin, you make a good work :).
    1. Lukas0610
      Author's Response
      Thanks man, but something like this isn't the purpose of the plugin. --Maybe-- in some of the next releases. If you got any idea how to implement, add it to the GitHub-Bugtracker ;)
  3. Fractvival
    Fractvival
    5/5,
    Version: 1.0 Beta-2
    Hi Developer!
    Plugin pracuje výborně, vše je OK ;)
    Díky za výbornou práci, kdyby byly nějaký problémy, dám Ti echo.
    1. Lukas0610
      Author's Response
      I don't understand Czech, but based on the rating (and on Google Translator) I think everything works ^^
      Thanks ;)
  4. Lmmb74
    Lmmb74
    5/5,
    Version: 1.0 Beta-2
    This is an awesome pvp plugin with awesome features, thanks for updating it and for adding the new features and please add a 1vs1 queue and duels
    1. Lukas0610
      Author's Response
      Thanks ;)
      I think I will add the 1vs1-feature in the next version
  5. frizzbee30
    frizzbee30
    2/5,
    Version: 0.7.1.2 Beta
    Sadly seems to have been abandoned, and looks like would have been a really great kit pvp plugin! We would use it in a flash as some terrific features, but not even possible to create an arena
  6. Floodeer
    Floodeer
    2/5,
    Version: 0.7.1 Beta
    This plugin really needs Essentials to work? He is asking several plugins to work, could at least add dependencies to the description of the plugin.
    1. Lukas0610
      Author's Response
      I will update the plugin soon. The update uses Vault instead of Essentials and the Plugin-Description was edited.